<?php include 'connection/db_connect.php'; ?>
<!DOCTYPE html> 
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <title>CHMSC-BIN WEB-BASED DOCUMENT MANAGEMENT SYSTEM</title>
        <meta content="" name="description">
        <meta content="" name="keywords">

        <!-- Favicons -->
        <link href="../logo/binlogo2.jpg" rel="icon">
        
        <!-- Google Fonts -->
        <link href="https://fonts.gstatic.com" rel="preconnect">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

        <!-- Vendor CSS Files -->
        <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
        <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
        <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.snow.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.bubble.css" rel="stylesheet">
        <link href="assets/vendor/simple-datatables/style.css" rel="stylesheet">

        <!-- Template Main CSS File -->
        <link href="../assets/css/style.css" rel="stylesheet">


        <!-- =======================================================
        * Template Name: NiceAdmin - v2.1.0
        * Template URL: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/
        * Author: BootstrapMade.com
        * License: https://bootstrapmade.com/license/
        ======================================================== -->
    </head>
      <style type="text/css">
        #folder{
            color: #D3AC02;
        }
    </style>
    <body>


        <main id="main" class="main">

           

            <div class="container justify-content-center">
                <div class="pagetitle"> 
                <nav>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="my_personal_documents.php"><i class="bi bi-arrow-left-circle btn-outline-primary btn-sm"></i></a></li>
                        <li class="breadcrumb-item">Personal Documents</li>
                    </ol>
                </nav>
            </div><!-- End Page Title -->
                <div class="col-lg-12">
                    <center>
                <div class="row">
                    <div>
                        <?php
                        $result = $connect->query("SELECT * FROM folders") or die($connect->error);

                        $count = $result->num_rows;
                        ?>
                        <div class="card">
                            <div class="card-body table-responsive">
                                <?php if($count > 1): ?>
                                <h5 class="card-title">List of Folders</h5>
                                <?php else: ?>
                                <h5 class="card-title">List of Folder</h5>
                                 <?php endif; ?>
                                <!-- Table with stripped rows -->
                                <?php if(isset($_SESSION['message'])): ?>
                                    <div class="alert alert-<?= $_SESSION['msg_type'] ?> alert-dismissible fade show col-lg-12 mt-2" role="alert">
                                        <i class="bi bi-check-circle me-1"></i>

                                        <?php
                                            echo $_SESSION['message'];
                                            unset($_SESSION['message']);
                                        ?>
                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                     </div>
                                <?php endif; ?>
                                <table class="table table-borderless table-hover">
                                    <thead>
                                        <tr>
                                            <th scope="col">Folder name</th>
                                            <th scope="col" style="float: right; margin-right: 35px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php while ($row = $result->fetch_assoc()): ?>
                                            <tr>
                                                <td><i id="folder" class="bi bi-folder"></i>&nbsp <?php echo $row['name'] ?></td>
                                                <td style="float: right; margin-right: 20px;">

                                                   <a href="#deleteFold<?php echo $row['id']; ?>" data-bs-toggle="modal">
                                                    <i class="bi bi-trash btn btn-danger btn-sm" data-bs-toggle="tooltip" data-bs-placement="top" title="Delete"></i>
                                                   </a>

                                                   <a href="#edit_folder<?php echo $row['id']; ?>" data-bs-toggle="modal">
                                                    <i class="bi bi-pen btn btn-primary btn-sm" data-bs-toggle="tooltip" data-bs-placement="top" title="Edit"></i>
                                                   </a> 

                                                </td>
                                            </tr>
                                            <?php include 'manage_folder_modal.php'; ?>
                                        <?php endwhile; ?>
                                    </tbody>
                                </table>
                                <!-- End Table with stripped rows -->

                            </div>
                        </div>

                    </div>
                </div>
            </center>
                </div>
            </div>

        </main><!-- End #main -->

        <!-- ======= Footer ======= -->
         <hr class="divider">
       

        <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

        <!-- Vendor JS Files -->
        <script src="assets/vendor/bootstrap/js/bootstrap.bundle.js"></script>
        <script src="assets/vendor/php-email-form/validate.js"></script>
        <script src="assets/vendor/quill/quill.min.js"></script>
        <script src="assets/vendor/tinymce/tinymce.min.js"></script>
        <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>
        <script src="assets/vendor/chart.js/chart.min.js"></script>
        <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
        <script src="assets/vendor/echarts/echarts.min.js"></script>

        <!-- Template Main JS File -->
       
        <script src="../assets/js/main.js"></script>
         <script src="jquery.min.js"></script>
    </body>

</html>